Bug 56131 - [VSfM][Xamarin.mac 3.5.0.123]-Unable to deploy the mac application with Unsupported Framework getting "Corlib not in sync with this runtime: expected corlib version 1050200001, found 1050000000"
Summary: [VSfM][Xamarin.mac 3.5.0.123]-Unable to deploy the mac application with Unsup...
Status: RESOLVED ANSWERED
Alias: None
Product: Xamarin.Mac
Classification: Desktop
Component: Library (Xamarin.Mac.dll) ()
Version: Master
Hardware: Macintosh Mac OS
: Normal major
Target Milestone: 15.3
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-05-09 11:18 UTC by Gaurav Ganorkar
Modified: 2017-05-19 14:52 UTC (History)
2 users (show)

Tags:
Is this bug a regression?: No
Last known good build:


Attachments
IDE logs (3.83 KB, application/zip)
2017-05-09 11:18 UTC, Gaurav Ganorkar
Details
IDE logs (6.19 KB, application/zip)
2017-05-19 11:14 UTC, Gaurav Ganorkar
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Gaurav Ganorkar 2017-05-09 11:18:20 UTC
Created attachment 22026 [details]
IDE logs

Description
-Getting "Corlib not in sync with this runtime: expected corlib version 1050200001, found 1050000000." when tried to deploy the mac application in Debug mode with Unsupported Framework

Test info
-https://gist.github.com/chiranjibmukherjee/ca23aaa513e459aca22fd2df4a966fde

Steps to Repro

1-Create a mac cocoa application and Set config as Debug
2-Link the SDK frameworks and Select Target Framework as "Unsupported Framework"
3- build the application
4-Deploy the app and observe

Actual
-getting "Corlib not in sync with this runtime: expected corlib version 1050200001, found 1050000000."

Expected
-App should deploy successfully

Screencast link
-https://www.screencast.com/t/Fd9stfhs
Comment 1 Chris Hamons 2017-05-09 15:32:05 UTC
Xamarin.Mac 3.{4,5} requires mono 5.0.x not 5.2.x.

When you use "unsupported framework", it is your responsibility to make sure they match up.
Comment 2 Gaurav Ganorkar 2017-05-19 11:14:24 UTC
Created attachment 22307 [details]
IDE logs

Chris,

For 15.2.2 release , we are testing the VSfM build 7.0.1 having Xamarin.Mac 3.4.0.41 with mono 5.0.1.1.
We are still facing the issue. 

Build info -https://gist.github.com/chiranjibmukherjee/268fb5bce3bf2f757c09465c84eba6c2
-VSfm 7.0.1(build 23)
-Mono 5.0.1.1 
-Xamarin.Android
Version: 7.3.1.1 
-Xamarin.iOS
Version: 10.10.0.34 

Hence marking this defect as NEW
Comment 3 Chris Hamons 2017-05-19 14:52:14 UTC
Mono 5.0.1.1 is likely not in sync with Xamarin.Mac 3.4

Try https://dl.xamarin.com/MonoFrameworkMDK/Macx86/MonoFramework-MDK-5.0.0.100.macos10.xamarin.universal.pkg

That is more likely a match.

I'm not sure when mono changes its corlib version, but keeping them in sync is not fun.

There is a good reason this is unsupported, it's rather painful.